Subject: Re: What's cooking in git.git (May 2010, #01; Sun, 2)

From: Jakub Narebski <[email-masked]>
Date: Mon, 03 May 2010 05:48:08 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:

> * jn/gitweb-caching-prep (2010-04-24) 5 commits
>  - gitweb: Move generating page title to separate subroutine
>  - gitweb: Add custom error handler using die_error
>  - gitweb: Use nonlocal jump instead of 'exit' in die_error

I'll try to check whether it is true what I think that using nonlocal
jump instead of 'exit' improves performance of gitweb when run from
mod_perl.

>  - gitweb: href(..., -path_info => 0|1)
>  - Export more test-related variables when running external tests
> 
> * jn/gitweb-install (2010-05-01) 2 commits
>  - gitweb: Create install target for gitweb in Makefile
>  - gitweb: Improve installation instructions in gitweb/INSTALL

I think it would be good to have install target for gitweb in Makefile
before gitweb output caching series.

> * jn/gitweb-our-squelch (2010-04-30) 1 commit
>  - gitweb: Silence 'Variable VAR may be unavailable' warnings

What about syntax hightlighting series?

     gitweb: Refactor syntax highlighting support
     gitweb: Syntax highlighting support

-- 
Jakub Narebski
Poland
ShadeHawk on #git